Skip to main content
Endpoints for deploying tokens and triggering indexing.

POST /api/tokens/deploy

Deploy a new Clanker token. Supports v4 deployment with rewards, fees, vault, airdrop, and presale configuration. Authentication: Partner API Key (x-api-key header) Body Parameters Response: Deployment result with expected token address.
Rate limited to 10,000 deployments per day per partner. BSC limited to 1 per day globally. Max duration: 60 s.

POST /api/tokens/deploy/v4

Alias for POST /api/tokens/deploy (same handler). Authentication: Partner API Key (x-api-key header)

POST /api/tokens/index

Triggers token indexing by transaction hash. Use after deploying a token outside the API. Authentication: Partner API Key (x-api-key header) Body Parameters Response: Indexing result.
Rate limited to 10 requests per minute per IP.